Subject: Re: [homenet] some IS-IS questions

From: Ray Hunter <[email-masked]>
Date: Tue, 04 Aug 2015 18:06:10 +0200

Markus Stenberg wrote:
> On 29.7.2015, at 17.35, STARK, BARBARA H<[email-masked]>  wrote:
>> Perfect! Thanks. I'd missed that. Yes, that's exactly what I was looking for.
>>
>>
>>
>> So when the Design Team compares IS-IS to Babel, they really should be comparinghttps://tools.ietf.org/html/draft-lamparter-homenet-isis-profile-00 to RFC6126+RFC7557+draft-boutier-babel-source-specific-01.
Well said.
>>
>>
>> Any other IS-IS comparison would involve a hypothetical IS-IS. Since a hypothetical IS-IS, by definition, does not exist, a hypothetical IS-IS would fail thecriterion that requires examination only of existing IGPs.
>
> First of all, thanks from me to David L. as well for the document; I love having it around.
>
> I think the metric stuff is missing from that at least (although they are 'wide' which helps I guess to express 10 better); so we're dealing with fixed default metric IS-IS configuration here.
Yes, but it's still not nailed down. The architecture requires support 
for "heterogeneous link layers". IMHO That means metrics have to take 
into account link type, if not measured reliability. Pure hop count 
won't cut it for Homenet. And default metrics on most IS IS 
implementations I know default to hop count behaviour (metric of 10 per 
interface crossed).
>
> It seems to be also missing security.
Yes.
> And to echo Barbara, if that is not the plan, now would be good time to update the document.
+1
> Cheers,
> -Markus